#!/usr/bin/env python

# Uncomment and adjust the paths below if WebStack is not installed somewhere
# on the PYTHONPATH.

#import sys
#sys.path.append("/home/paulb/Software/Python/WebStack")
#sys.path.append("/home/paulb/Software/Python/WebStack/examples/Common")

from WebStack.Adapters.CGI import deploy
from SimpleWithLogin import get_site_map

# Change this to be the exact URL.
# eg. http://localhost:8000/cgi/myapp/requestid

login_url = "http://localhost/cgi/simplewithlogin/login"

# Change this to be the URL base for your server.
# eg. http://localhost:8000

app_url = "http://localhost" # No trailing "/"!

# Must match the key used elsewhere.

secret_key = "horses"

resource = get_site_map(app_url, login_url, secret_key)

deploy(resource, handle_errors=0)

# vim: tabstop=4 expandtab shiftwidth=4
