#!/usr/bin/env python

# NOTE: Path manipulation may require manual customisation.

import sys, os
sys.path.append(os.path.abspath(os.path.join(__file__, "../../../Common")))

from WebStack.Adapters.ModPython import deploy
from SimpleWithLogin import get_site_map

# Change this to be the exact URL.
# eg. http://localhost:8000/myapp/login

login_url = "http://localhost/login/app"

# Change this to be the URL base for your server.
# eg. http://localhost:8000

app_url = "http://localhost" # No trailing "/"!

# Must match the key used elsewhere.

secret_key = "horses"

resource = get_site_map(app_url, login_url, secret_key)

# NOTE: Not sure if the resource should be maintained in a resource pool.

handler, _no_authentication = deploy(resource, handle_errors=0)

# vim: tabstop=4 expandtab shiftwidth=4
