#!/usr/bin/env python

"""
Webware context for the SimpleWithLogin application (post Webware 0.8.1).
"""

from WebStack.Adapters.Webware import deploy
from SimpleWithLogin import get_site_map

# Change this to be the exact URL.
# eg. http://localhost:8000/myapp/login

login_url = "http://localhost:9080/simplewithlogin/login"

# Change this to be the URL base for your server.
# eg. http://localhost:8000

app_url = "http://localhost:9080" # No trailing "/"!

# Must match the key used elsewhere.

secret_key = "horses"

resource = get_site_map(app_url, login_url, secret_key)

# NOTE: Initialising a shared resource.

urlParser = deploy(resource, handle_errors=0)

# vim: tabstop=4 expandtab shiftwidth=4
